unit OutputFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Menus, marsCap;

type
  TOutputForm = class(TForm)
    Output: TRichEdit;
    PopupMenu: TPopupMenu;
    Copy1: TMenuItem;
    N1: TMenuItem;
    Selectall1: TMenuItem;
    Saveastextfile1: TMenuItem;
    SaveDialog: TSaveDialog;
    MarsCaption1: TMarsCaption;
    procedure Copy1Click(Sender: TObject);
    procedure Selectall1Click(Sender: TObject);
    procedure Saveastextfile1Click(Sender: TObject);
    procedure OutputMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  OutputForm: TOutputForm;

implementation

{$R *.DFM}

Uses Main;

procedure TOutputForm.Copy1Click(Sender: TObject);
begin
  Output.CopyToClipboard;
end;

procedure TOutputForm.Selectall1Click(Sender: TObject);
begin
  Output.SelectAll;
end;

procedure TOutputForm.Saveastextfile1Click(Sender: TObject);
begin
  if SaveDialog.Execute then
     Output.Lines.SaveToFile(SaveDialog.FileName);
end;

function GetCurrentLineNum ( Edit: TCustomMemo ) : LongInt;
begin
   Result := SendMessage (Edit.Handle, EM_LINEFROMCHAR, Edit.SelStart ,0);
end;

procedure TOutputForm.OutputMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
Line : integer;
s, s2 : AnsiString;
begin
   If ThisCompiler = FreePascal then Exit;
   Line := GetCurrentLineNum (TRichEdit (Sender));
   s2 := OutputForm.Output.Lines [Line];
   if (s2 > '')// and (Pos (':', s2) = 2)
   then begin
      s := s2 [1];
      s := MainForm.GetFileToOpen (s, s2, Line);
      MainForm.RunErroredFile (s, Line);
   end;
end;

end.
