unit Version;

interface
uses SysUtils, Forms, Windows;

const
      COMPLETION_FILE  = 'Completion.txt';
      DEFAULTCODE_FILE = 'Default.txt';
      ICON_DIR = 'Icon\';
      DevPasVersion = '1.9.4.11';
      GPC_CurrentVer = ' (20070904)';

Var
 CompilerVersion : String = 'Free Pascal compiler v2.00';

Const
 GDBVersion = 'GNU Debugger (GDB) 6.3';
 RunBatchFileName = 'run.bat';

function GetCompiledDate : string;
function IsWinNTor2K : boolean;

implementation

function GetCompiledDate : string;
begin
  result := DateTimeToStr(FileDateToDateTime(Fileage(Application.ExeName)));
end;

function IsWinNTor2K : boolean;
var
  verInfo : TOSVERSIONINFO;
begin
  verInfo.dwOSVersionInfoSize := sizeof(verInfo);
  GetVersionEx(verInfo);
  Result := False;

  if verInfo.dwPlatformId >= VER_PLATFORM_WIN32_NT then
     Result := True;
end;

end.
